Package org.firebirdsql.jaybird.props

## Class PropertyConstants

- java.lang.Object
- - org.firebirdsql.jaybird.props.PropertyConstants

-     @InternalApi
      public final class PropertyConstants
      extends java.lang.Object

  Property constants.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BUFFER_SIZE_NOT_SET` |
    `static java.lang.String` | `DEFAULT_AUTH_PLUGINS` |
    `static int` | `DEFAULT_BLOB_BUFFER_SIZE` |
    `static int` | `DEFAULT_DIALECT` |
    `static int` | `DEFAULT_PAGE_CACHE_SIZE` |
    `static int` | `DEFAULT_PORT` |
    `static java.lang.String` | `DEFAULT_SCROLLABLE_CURSOR` |
    `static int` | `DEFAULT_SERVER_BATCH_BUFFER_SIZE` |
    `static java.lang.String` | `DEFAULT_SERVER_NAME` |
    `static java.lang.String` | `DEFAULT_SERVICE_NAME` |
    `static boolean` | `DEFAULT_STREAM_BLOBS` |
    `static java.lang.String` | `DEFAULT_TRANSACTION_ISOLATION_NAME` |
    `static int` | `DEFAULT_TRANSACTION_ISOLATION_VALUE` |
    `static java.lang.String` | `SCROLLABLE_CURSOR_EMULATED` |
    `static java.lang.String` | `SCROLLABLE_CURSOR_SERVER` |
    `static java.lang.String` | `SESSION_TIME_ZONE_SERVER` |
    `static int` | `TIMEOUT_NOT_SET` |
    `static java.lang.String` | `WIRE_CRYPT_DEFAULT` |
    `static java.lang.String` | `WIRE_CRYPT_DISABLED` |
    `static java.lang.String` | `WIRE_CRYPT_ENABLED` |
    `static java.lang.String` | `WIRE_CRYPT_REQUIRED` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SERVER_NAME

          public static final java.lang.String DEFAULT_SERVER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_SERVICE_NAME

          public static final java.lang.String DEFAULT_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### WIRE_CRYPT_DEFAULT

          public static final java.lang.String WIRE_CRYPT_DEFAULT

      See Also:
        Constant Field Values

    - #### WIRE_CRYPT_REQUIRED

          public static final java.lang.String WIRE_CRYPT_REQUIRED

      See Also:
        Constant Field Values

    - #### WIRE_CRYPT_ENABLED

          public static final java.lang.String WIRE_CRYPT_ENABLED

      See Also:
        Constant Field Values

    - #### WIRE_CRYPT_DISABLED

          public static final java.lang.String WIRE_CRYPT_DISABLED

      See Also:
        Constant Field Values

    - #### DEFAULT_DIALECT

          public static final int DEFAULT_DIALECT

      See Also:
        Constant Field Values

    - #### DEFAULT_STREAM_BLOBS

          public static final boolean DEFAULT_STREAM_BLOBS

      See Also:
        Constant Field Values

    - #### DEFAULT_BLOB_BUFFER_SIZE

          public static final int DEFAULT_BLOB_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_PAGE_CACHE_SIZE

          public static final int DEFAULT_PAGE_CACHE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_SERVER_BATCH_BUFFER_SIZE

          public static final int DEFAULT_SERVER_BATCH_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSACTION_ISOLATION_VALUE

          public static final int DEFAULT_TRANSACTION_ISOLATION_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSACTION_ISOLATION_NAME

          public static final java.lang.String DEFAULT_TRANSACTION_ISOLATION_NAME

      See Also:
        Constant Field Values

    - #### SCROLLABLE_CURSOR_EMULATED

          public static final java.lang.String SCROLLABLE_CURSOR_EMULATED

      See Also:
        Constant Field Values

    - #### SCROLLABLE_CURSOR_SERVER

          public static final java.lang.String SCROLLABLE_CURSOR_SERVER

      See Also:
        Constant Field Values

    - #### DEFAULT_SCROLLABLE_CURSOR

          public static final java.lang.String DEFAULT_SCROLLABLE_CURSOR

      See Also:
        Constant Field Values

    - #### TIMEOUT_NOT_SET

          public static final int TIMEOUT_NOT_SET

      See Also:
        Constant Field Values

    - #### BUFFER_SIZE_NOT_SET

          public static final int BUFFER_SIZE_NOT_SET

      See Also:
        Constant Field Values

    - #### SESSION_TIME_ZONE_SERVER

          public static final java.lang.String SESSION_TIME_ZONE_SERVER

      See Also:
        Constant Field Values

    - #### DEFAULT_AUTH_PLUGINS

          public static final java.lang.String DEFAULT_AUTH_PLUGINS

      See Also:
        Constant Field Values